TextCritical.net - Feature #2334
Feature # 551 (Closed): Lexicon support: Liddell and Scott (Middle)

Migrations don't apply
11/28/2018 07:15 AM - Luke Murphey

Status: Closed Start date: 11/28/2018
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.0

Description

History

#1 - 11/28/2018 07:18 AM - Luke Murphey
Observations:
® Doesn't fix it:
o Removing allow_migrate doesn't fix it
o Returning true in the router doesn't fix it

Links:

e https://stackoverflow.com/questions/39282860/django-typeerror-allow-migrate-got-an-unexpected-keyword-argument-model-name

e https://www.programcreek.com/python/example/64709/django.db.router.allow_migrate

¢ https://strongarm.io/blog/multiple-databases-in-django/
e https://code.djangoproject.com/ticket/23273
e https://docs.djangoproject.com/en/2.1/topics/db/multi-db/

#2 - 11/28/2018 07:26 AM - Luke Murphey

https://docs.djangoproject.com/en/2.1/topics/db/multi-db/

#3 - 12/11/2018 04:48 PM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100

Issue was that | need to apply migrations to each database individually (which I didn't know to do).

04/27/2024

1/1



https://stackoverflow.com/questions/39282860/django-typeerror-allow-migrate-got-an-unexpected-keyword-argument-model-name
https://www.programcreek.com/python/example/64709/django.db.router.allow_migrate
https://strongarm.io/blog/multiple-databases-in-django/
https://code.djangoproject.com/ticket/23273
https://docs.djangoproject.com/en/2.1/topics/db/multi-db/
https://docs.djangoproject.com/en/2.1/topics/db/multi-db/
http://www.tcpdf.org

